diff -r f6ef988fda71 trytond/tests/test_access.py
--- a/trytond/tests/test_access.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/tests/test_access.py	Sun Sep 23 17:30:03 2012 +0200
@@ -585,201 +578,201 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            field1_id, = self.field.search([
-                ('model.model', '=', 'test.access'),
-                ('name', '=', 'field1'),
-                ])
-            field2_id, = self.field.search([
-                ('model.model', '=', 'test.access'),
-                ('name', '=', 'field2'),
-                ])
+            field1, = self.field.search([
+                    ('model.model', '=', 'test.access'),
+                    ('name', '=', 'field1'),
+                    ])
+            field2, = self.field.search([
+                    ('model.model', '=', 'test.access'),
+                    ('name', '=', 'field2'),
+                    ])
 
-            test_id = self.test_access.create({
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            test = self.test_access.create({
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Without field access
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
 
             # With field access
 
             # One access allowed for any group
-            field_access_wo_group_id = self.field_access.create({
-                'field': field1_id,
-                'group': False,
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            field_access_wo_group = self.field_access.create({
+                    'field': field1.id,
+                    'group': False,
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # One access disallowed for any group
-            self.field_access.write(field_access_wo_group_id, {
-                'perm_write': False,
-                })
+            self.field_access.write([field_access_wo_group], {
+                    'perm_write': False,
+                    })
 
-            self.test_access.write(test_id, {})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id, {
+            self.test_access.write([test], {})
+            self.assertRaises(Exception, self.test_access.write, [test],
+                {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
                     'field1': 'ham',
                     'field2': 'spam',
                     })
 
             # Two access rules with one group allowed
-            group_id = self.group.search([('users', '=', USER)])[0]
-            field_access_w_group_id = self.field_access.create({
-                'field': field1_id,
-                'group': group_id,
-                'perm_write': True,
-                })
+            group = self.group.search([('users', '=', USER)])[0]
+            field_access_w_group = self.field_access.create({
+                    'field': field1.id,
+                    'group': group.id,
+                    'perm_write': True,
+                    })
 
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Two access rules with both allowed
-            self.field_access.write(field_access_wo_group_id, {
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.field_access.write([field_access_wo_group], {
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Two access rules with any group allowed
-            self.field_access.write(field_access_w_group_id, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.field_access.write([field_access_w_group], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Two access rules with both disallowed
-            self.field_access.write(field_access_wo_group_id, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id, {
+            self.field_access.write([field_access_wo_group], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
+            self.assertRaises(Exception, self.test_access.write, [test],
+                {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
                     'field1': 'ham',
                     'field2': 'spam',
                     })
 
             # One access disallowed for one group
-            self.field_access.delete(field_access_wo_group_id)
-            self.test_access.write(test_id, {})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'ham'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id, {
+            self.field_access.delete([field_access_wo_group])
+            self.test_access.write([test], {})
+            self.assertRaises(Exception, self.test_access.write, [test],
+                {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'ham'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
                     'field1': 'ham',
                     'field2': 'spam',
                     })
 
             # One access allowed for one group
-            self.field_access.write(field_access_w_group_id, {
-                'perm_write': True,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.field_access.write([field_access_w_group], {
+                    'perm_write': True,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # One access allowed for one other group
-            group_id = self.group.create({'name': 'Test'})
-            self.field_access.write(field_access_w_group_id, {
-                'group': group_id,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            group = self.group.create({'name': 'Test'})
+            self.field_access.write([field_access_w_group], {
+                    'group': group.id,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # One access disallowed for one other group
-            self.field_access.write(field_access_w_group_id, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.field_access.write([field_access_w_group], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Two access rules on both fields allowed
-            self.field_access.delete(field_access_w_group_id)
+            self.field_access.delete([field_access_w_group])
 
             field_access1 = self.field_access.create({
-                'field': field1_id,
-                'group': False,
-                'perm_write': True,
-                })
+                    'field': field1.id,
+                    'group': False,
+                    'perm_write': True,
+                    })
             field_access2 = self.field_access.create({
-                'field': field2_id,
-                'group': False,
-                'perm_write': True,
-                })
+                    'field': field2.id,
+                    'group': False,
+                    'perm_write': True,
+                    })
 
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.test_access.write(test_id, {'field2': 'spam'})
-            self.test_access.write(test_id, {
-                'field1': 'ham',
-                'field2': 'spam',
-                })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.test_access.write([test], {'field2': 'spam'})
+            self.test_access.write([test], {
+                    'field1': 'ham',
+                    'field2': 'spam',
+                    })
 
             # Two access rules on both fields one allowed and one disallowed
-            self.field_access.write(field_access2, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
-            self.test_access.write(test_id, {'field1': 'ham'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field2': 'spam'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id, {
+            self.field_access.write([field_access2], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
+            self.test_access.write([test], {'field1': 'ham'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
+                    'field2': 'spam'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
                     'field1': 'ham',
                     'field2': 'spam',
                     })
 
             # Two access rules on both fields disallowed
-            self.field_access.write(field_access1, {
-                'perm_write': False,
-                })
-            self.test_access.write(test_id, {})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field1': 'ham'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id,
-                    {'field2': 'spam'})
-            self.failUnlessRaises(Exception, self.test_access.write, test_id, {
+            self.field_access.write([field_access1], {
+                    'perm_write': False,
+                    })
+            self.test_access.write([test], {})
+            self.assertRaises(Exception, self.test_access.write, [test], {
+                    'field1': 'ham'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
+                    'field2': 'spam'})
+            self.assertRaises(Exception, self.test_access.write, [test], {
                     'field1': 'ham',
                     'field2': 'spam',
                     })
